package cicaprojekt;

public class Gap extends cicaprojekt.Tile {
    public Gap() {
        super();
    }

    @Override
    public boolean isSteppable()
    {
        return true;
    }

    public void onEntry(PlayerBase playerBase) {
        super.onEntry(playerBase);
        playerBase.destroy();
    }

    public void onExit(PlayerBase playerBase) throws IllegalStateException {
        throw new IllegalStateException("Hiba! A szakadékból nem jut ki semmi!");
    }

    @Override
    public void putABox(Box box) {
        box.destroy();
    }
}
